## suidmanager 0.6

=== Makefile ===
all:	suidexec

#suidexec:	suidexec.c
#	gcc -O5 -o suidexec suidexec.c

install:
	install -m644 suid.conf $(DESTDIR)/etc/suid.conf
	install suidregister suidunregister $(DESTDIR)/usr/sbin
#	install -m4755 suidexec $(DESTDIR)/usr/sbin

clean:
#	rm suidexec

=== debian/changelog ===
suidmanager (0.6) frozen unstable; urgency=medium

  * Check if /etc/suid.conf is present and abort if not. May fix situations
    leading to something described in #9435, #9582 (still not clear how such
    a thing can happen). This will break packages which are broken because
    they use suidmanager while suidmanager is not yet configured.

 -- Christoph Lameter <clameter@waterf.org>  Thu, 15 May 1997 13:34:45 -0700

suidmanager (0.5) frozen unstable; urgency=low

  * #9139 Update several pieces of documentation.

 -- Christoph Lameter <clameter@waterf.org>  Wed, 22 Jan 1997 16:56:06 -0800

suidmanager (0.4) unstable; urgency=low

  * Check if file exists in suidregister
  * Documented how to insure that packages are independent of suidmanager
    and the possibility of other means of permissions handling in the
    future.

 -- Christoph Lameter <clameter@waterf.org>  Fri, 29 Nov 1996 20:45:14 -0800

suidmanager (0.3) experimental; urgency=low

  * suidregister has diagnostic output now
  * control file updated.
  * Fixes in the output of suidregister
  * Initially needed functionality complete.

 -- Christoph Lameter <clameter@waterf.org>  Fri, 22 Nov 1996 17:09:30 -0800

suidmanager (0.2) experimental; urgency=low

  * Manpages (botched from the concept)
  * Screwed up version number corrected.

 -- Christoph Lameter <clameter@waterf.org>  Fri, 22 Nov 1996 16:37:58 -0800

suidmanager (0.1-1) experimental; urgency=low

  * Initial Release.

 -- Christoph Lameter <clameter@waterf.org>  Fri, 22 Nov 1996 13:02:16 -0800

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: suidmanager
Section: admin
Priority: extra
Maintainer: Christoph Lameter <clameter@waterf.org>
Standards-Version: 2.1.1.0

Package: suidmanager
Architecture: all
Description: Manage File Permissions
 Keeps binaries with special permissions (with setsid or setgid bit) in a
 central file /etc/suid.conf for easy maintenance and customization.
 Can be used to override installed default permissions of packages.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

package=suidmanager

build:
	$(checkdir)
	make

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/usr/sbin debian/tmp/etc
	make install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## suidmanager 0.20

=== debian/changelog ===
suidmanager (0.20) frozen unstable; urgency=low

  * Only warn about removal of suidexec if previous version included it.
    (closes: #21823)
  * Un-register suidexec if it is registered. (closes: #22326)
  * Removed suidexec from source package.
  * Removed references to suidexec from documentation.
  * Cleaned up `debian' directory.

 -- Adam Klein <aklein@debian.org>  Tue, 12 May 1998 08:04:35 -0700

suidmanager (0.19) frozen unstable; urgency=high

  * Security fix: Removed suidexec from binary package (closes: Bug#21802)
  * Standards version 2.4.1 (no changes)

 -- Adam Klein <aklein@debian.org>  Tue, 28 Apr 1998 12:03:11 -0400

suidmanager (0.18) frozen unstable; urgency=low

  * Corrected spelling in suidregister
  * suidregister no longer aborts when a package is not yet registered
    (closes: Bug#20767)
  * Cleaned up Makefile

 -- Adam Klein <aklein@debian.org>  Sun,  5 Apr 1998 19:57:30 -0400

suidmanager (0.17) frozen unstable; urgency=low

  * New maintainer
  * Removed invocation of `dh_du' from debian/rules
  * Added "Press enter to continue" message to postinst (closes: #18464)

 -- Adam Klein <aklein@debian.org>  Tue, 24 Mar 1998 14:55:27 -0500

suidmanager (0.16) unstable; urgency=low

  * sed "/etc/suid.conf" in postinst to change the location of `suidexec'
    from /usr/sbin to /usr/bin. Will leave user setting intact. (Bug#18293)
  * Apply patch from Topi Miettinen <Topi.Miettinen@ml.tele.fi> to allow
    registration of directories as well as files.
  * Mention that directories can be registered in the `suidregister' manual.
  * Adjusted the PATH shown in the `suidexec' manual to reflect the default
    PATH set by the program.

 -- Karl M. Hegbloom <karlheg@debian.org>  Tue, 17 Feb 1998 09:23:12 -0800

suidmanager (0.15) unstable; urgency=low

  * Changed priority from `extra' to `optional' as suggested by
    Santiago Vila <sanvila@unex.es> (fixes: #17816)
  * Fixed default path in `suidexec.c'.
  * Put `suidexec' in "/usr/bin", not "/usr/sbin".
  * Edit cron script PATH, remove unneeded test for `suidregister'.
  
 -- Karl M. Hegbloom <karlheg@debian.org>  Sat, 14 Feb 1998 16:32:32 -0800

suidmanager (0.14) unstable; urgency=low

  * (cron.daily): discard savelog's stdout, not stderr (Fixes: #17423)
    - Remove "/etc/cron.d" from path.
    - Guard `suidregister' in case of package removal w/o purge.
  * (suidexec.c): Remove "/etc/cron.d" from path.
  * (suidexec.1): ditto
  * (control): Updated to policy 2.4.0.0
  * (postrm): Fixed missing quote mark.

 -- Karl M. Hegbloom <karlheg@debian.org>  Tue,  3 Feb 1998 15:05:27 -0800

suidmanager (0.13) unstable; urgency=low

  * (comment header): Corrected shown location of `suidexec'.
  * (set_environ): Corrected the PATH for Linux FSSTND, and add "/etc/cron.d".
  * (control): spell "suid" -> "setuid"
  * (copyright): Mention miquels as author of `suidexec'.
  * (postrm): Mention possible backups of "suid.conf" during purge.
  * (compress): New file - also compress the "suidmanager.concept" file.
  * (rules): Non verbose build.

 -- Karl M. Hegbloom <karlheg@debian.org>  Thu, 29 Jan 1998 02:23:40 -0800

suidmanager (0.12) unstable; urgency=low

  * Applied patch sent by James Troup <J.J.Troup@scm.brad.ac.uk> to
    debian/rules to fix Bug #16869

 -- Karl M. Hegbloom <karlheg@debian.org>  Thu,  8 Jan 1998 17:21:14 -0800

suidmanager (0.11) unstable; urgency=low

  * Ensure that this changelog gets compressed. Fixes #15406
  * Ensure proper ownership of all files. Fixes #16522
  * "/etc/suid.conf" is no longer a conffile, it's created when not
    initialized as suggested by Santiago Vila <sanvila@unex.es>
    Fixes #16523
  * Added a crontab to verify the suid registered files each day.
    Fullfills wishlist bug #15713

 -- Karl M. Hegbloom <karlheg@debian.org>  Thu,  8 Jan 1998 10:26:48 -0800

suidmanager (0.10) unstable; urgency=low

  * New maintainer.
  * Convert to debhelper.
  * Placed under CVS control.
  * Put `suidexec' back into the distributed package.
    - That makes this package no longer architecture independant.  I would
      like it if someone would compile this for the other architectures.
  * Fixups in man pages, README, and copyright.
  * Added a manual for `suidexec'.

 -- Karl M. Hegbloom <karlheg@debian.org>  Mon, 22 Dec 1997 04:23:11 -0800

suidmanager (0.9) unstable; urgency=low

  * #13757 Patches of Herbert Xu to make scripts run under bash or ash.
  * Fix supposed security hole

 -- Christoph Lameter <clameter@waterf.org>  Sun,  7 Sep 1997 16:39:44 -0700

suidmanager (0.8) unstable; urgency=low

  * #12490: Fix targets
  * build with fakeroot

 -- Christoph Lameter <clameter@waterf.org>  Thu,  4 Sep 1997 15:24:09 -0700

suidmanager (0.7) unstable; urgency=low

  * Solaris Compatibility: Use #!/bin/bash for scripts.
  * Clarify Documentation a bit

 -- Christoph Lameter <clameter@waterf.org>  Wed, 30 Jul 1997 20:08:11 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: suidmanager
 Section: admin
-Priority: extra
-Maintainer: Christoph Lameter <clameter@waterf.org>
-Standards-Version: 2.1.1.0
+Priority: optional
+Maintainer: Adam Klein <aklein@debian.org>
+Standards-Version: 2.4.1
 
 Package: suidmanager
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for packages that are architecture independent.
# Modified for suidmanager by Adam Klein <aklein@debian.org>.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	dh_clean

install: install-stamp
install-stamp: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -o root -g root -m 754 suidregister suidunregister debian/tmp/usr/sbin
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs suidmanager.concept
#	dh_installexamples
#	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## suidmanager 0.23

=== debian/changelog ===
suidmanager (0.23) frozen unstable; urgency=low

  * Upload to frozen; the changes are very minor, yet they fix one really
    annoying and one somewhat dangerous bug.  If you want, I can show you the
    diff between this and 0.20.  There's barely any difference.
  * New in version 0.21, but forgot to mention:
    + Made the regexps safe
    + A few cosmetic changes

 -- Adam Klein <aklein@debian.org>  Sat,  9 Jan 1999 00:21:28 -0800

suidmanager (0.22) unstable; urgency=low

  * Removed erroneous leading '^' from several 'expr' calls

 -- Adam Klein <aklein@debian.org>  Fri,  8 Jan 1999 15:27:56 -0800

suidmanager (0.21) unstable; urgency=low

  * Use numerical compare when dealing with modes
    (closes: #18590, #26998, #30450, #30674, #30948)
  * Use proper regexps, and emit an error if the file is not an absolute path
    (closes: #27221)
  * Fixed typo in suidunregister
  * s/setsid/setuid/ in several places
  * Updated to standards version 2.5.0.0 (no changes)
  * Removed usr/bin from debian/dirs

 -- Adam Klein <aklein@debian.org>  Fri,  8 Jan 1999 14:31:52 -0800

=== debian/control ===
Source: suidmanager
Section: admin
Priority: optional
Maintainer: Adam Klein <aklein@debian.org>
Standards-Version: 2.5.0.0

Package: suidmanager
Architecture: all
Description: Manage File Permissions
 Keeps binaries with special permissions (with setuid or setgid bit) in a
 central file /etc/suid.conf for easy maintenance and customization.
 Can be used to override installed default permissions of packages.

=== debian/rules ===
--- 
+++ 
@@ -23,25 +23,19 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	install -o root -g root -m 754 suidregister suidunregister debian/tmp/usr/sbin
+	install -o root -g root -m 755 suidregister suidunregister debian/tmp/usr/sbin
 	touch install-stamp
 
 # Build architecture-independent files here.
 binary-indep: build install
-#	dh_testversion
 	dh_testdir
 	dh_testroot
 	dh_installdocs suidmanager.concept
-#	dh_installexamples
-#	dh_installmenu
-#	dh_installinit
 	dh_installcron
 	dh_installmanpages
-#	dh_undocumented
 	dh_installchangelogs
 	dh_compress
 	dh_fixperms
-#	dh_suidregister
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums

## suidmanager 0.43.2

=== Makefile ===
man:
	pod2man --section=5 --center="Debian Utilities" --release="Debian" \
		suid.conf.pod > suid.conf.5
	pod2man --section=8 --center="Debian Utilities" --release="Debian" \
		suidregister.pod > suidregister.8
	pod2man --section=8 --center="Debian Utilities" --release="Debian" \
		suidunregister.pod > suidunregister.8

clean:
	rm -f suid.conf.5 suidregister.8 suidunregister.8

=== debian/changelog ===
suidmanager (0.43.2) frozen; urgency=low

  * Fixed line 244: should be $pkg, not $rec->{pkg} (closes: #59138)
  * Removed -w from perl execution
  * Release manager: 6 byte change, closes a bug, keeps people from getting
    spurious warnings.  Please let this in. Thanks.

 -- Adam Klein <aklein@debian.org>  Sun, 27 Feb 2000 11:50:28 -0800

suidmanager (0.43.1) frozen; urgency=low

  * Fixed diversions handling (small source change, and great improvement.
    before this, if a diverted file was registered, the results were quite
    unpredictable)

 -- Adam Klein <aklein@debian.org>  Sun, 20 Feb 2000 14:12:48 -0800

suidmanager (0.43) unstable; urgency=low

  * Manpages are now generated from pod files

 -- Adam Klein <aklein@debian.org>  Sat, 15 Jan 2000 12:59:14 -0800

suidmanager (0.42) unstable; urgency=low

  * Added "my" in the proper places and unrolled ?: into if-else
    (closes: #55161, #55164, #55166)

 -- Adam Klein <aklein@debian.org>  Fri, 14 Jan 2000 17:03:47 -0800

suidmanager (0.41) unstable; urgency=low

  * Fixed getinode() to never return undef (closes: #54885, #54914,
    #54935)

 -- Adam Klein <aklein@debian.org>  Fri, 14 Jan 2000 11:00:48 -0800

suidmanager (0.40) unstable; urgency=low

  * Added code to the postinst to fix suid.conf files messed up by 0.38

 -- Adam Klein <aklein@debian.org>  Sat,  8 Jan 2000 11:11:59 -0800

suidmanager (0.39) unstable; urgency=low

  * Make $pkg and $file in suidregister "my" variables (closes: #54463)

 -- Adam Klein <aklein@debian.org>  Sat,  8 Jan 2000 10:16:11 -0800

suidmanager (0.38) unstable; urgency=low

  * Use defined() to test return value of getpwnam() (Closes: Bug#53709)
  * Made manpages somewhat more comprehensive
  * Continued cleaning of the internals of suidregister
    (use strict, added prototypes, etc.)
  * Noted that the -f option mentioned in suidmanager.concept
    has not been implemented

 -- Adam Klein <aklein@debian.org>  Thu,  6 Jan 2000 23:19:00 -0800

suidmanager (0.37) unstable; urgency=low

  * suidregister now checks the inode for a duplicate when inserting new files
    (closes: #45443)

 -- Adam Klein <aklein@debian.org>  Mon, 27 Dec 1999 01:20:16 -0800

suidmanager (0.36) unstable; urgency=low

  * Cleaned up hash keys in suidregister
  * cron.daily only runs if suidmanager is installed
  * Policy 3.1.0: added Build-Depends
  * Don't set DH_COMPAT=2 anymore; waiting for useful v2 features

 -- Adam Klein <aklein@debian.org>  Thu, 11 Nov 1999 14:54:47 -0800

suidmanager (0.35) unstable; urgency=low

  * Now FHS compliant; Standards-Version 3.0.1

 -- Adam Klein <aklein@debian.org>  Mon,  6 Sep 1999 01:27:35 -0700

suidmanager (0.34) unstable; urgency=low

  * Made suidunregister do the right thing with metacharacters
    (thanks again to Elrond)

 -- Adam Klein <aklein@debian.org>  Fri, 20 Aug 1999 11:32:09 -0700

suidmanager (0.33) unstable; urgency=low

  * Okay, really fixed it now :)

 -- Adam Klein <aklein@debian.org>  Sat,  7 Aug 1999 14:42:25 -0700

suidmanager (0.32) unstable; urgency=low

  * Fixed diversions code (thanks to Elrond)

 -- Adam Klein <aklein@debian.org>  Sat,  7 Aug 1999 13:09:27 -0700

suidmanager (0.31) unstable; urgency=low

  * '+' in a package name now works

 -- Adam Klein <aklein@debian.org>  Fri,  6 Aug 1999 23:26:49 -0700

suidmanager (0.30) unstable; urgency=low

  * Rewritten in Perl, which means many good cleanups
  * Works with ID numbers rather than names (closes: #35364)
  * Now prints 'suidregister:' before output (closes: #42027)
  * Using debhelper v2 now
  * Make jump to 0.30 to make room just in case slink needs a new release :)

 -- Adam Klein <aklein@debian.org>  Thu, 29 Jul 1999 23:32:03 -0700

suidmanager (0.26) unstable; urgency=low

  * Added -follow to find call in compperm() (closes: #41085)

 -- Adam Klein <aklein@debian.org>  Mon, 12 Jul 1999 11:35:14 -0700

suidmanager (0.25) unstable; urgency=medium

  * Used an absolute path to dpkg-divert

 -- Adam Klein <aklein@debian.org>  Wed, 17 Feb 1999 08:38:40 -0800

suidmanager (0.24) unstable; urgency=low

  * suidregister now operates on the name a file was diverted to,
    rather than the original name, closes: #27332
  
 -- Adam Klein <aklein@debian.org>  Sun,  7 Feb 1999 13:12:44 -0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: suidmanager
 Section: admin
 Priority: optional
+Build-Depends: debhelper, perl5
 Maintainer: Adam Klein <aklein@debian.org>
-Standards-Version: 2.5.0.0
+Standards-Version: 3.1.1
 
 Package: suidmanager
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for packages that are architecture independent.
# Modified for suidmanager by Adam Klein <aklein@debian.org>.
#
# $Id$
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Uncomment this if you want to use debhelper v2 features
#export DH_COMPAT=2

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) clean
	rm -f build-stamp
	dh_clean

# Build architecture-independent files here.
binary-indep: build
	dh_testdir
	dh_testroot
	dh_installdirs usr/sbin
	install -m755 suidregister debian/tmp/usr/sbin/
	dh_installdocs suidmanager.concept
	dh_installcron
	dh_installmanpages
	dh_installchangelogs
	dh_link usr/sbin/suidregister usr/sbin/suidunregister
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## suidmanager 0.52

=== debian/changelog ===
suidmanager (0.52) unstable; urgency=low

  * Give suidregister a little bit of smarts and add a dummy
    suidunregister (closes: #85583)

 -- Adam Klein <aklein@debian.org>  Mon, 12 Feb 2001 13:03:34 -0800

suidmanager (0.51) unstable; urgency=low

  * Added dummy suidregister and suid.conf to smooth upgrade path
    (thanks again to Joey Hess) (closes: #84888)

 -- Adam Klein <aklein@debian.org>  Sun,  4 Feb 2001 15:01:37 -0800

suidmanager (0.50) unstable; urgency=low

  * This package is now obsolete -- on upgrade it converts /etc/suid.conf
    to use dpkg-statoverride. (Thanks to Joey Hess for doing the actual work)
    (closes: #40736, #57172, #61859, #62786, #72287, #81617)

 -- Adam Klein <aklein@debian.org>  Tue,  9 Jan 2001 13:24:19 -0800

suidmanager (0.45) unstable; urgency=low

  * Largely reworked internals of suidregister
  * Pays attention only to the last entry for a file in /etc/suid.conf
    (Closes: #43328)
  * Warn when an attempt to unregister fails for some reason

 -- Adam Klein <aklein@debian.org>  Mon, 31 Jan 2000 19:24:48 -0800

suidmanager (0.44) unstable; urgency=low

  * suidregister now checks the syntax of /etc/suid.conf before doing
    anything. It aborts with an informative error message if it finds an
    error

 -- Adam Klein <aklein@debian.org>  Sat, 22 Jan 2000 13:53:57 -0800

=== debian/control ===
Source: suidmanager
Section: admin
Priority: optional
Build-Depends: debhelper
Maintainer: Adam Klein <aklein@debian.org>
Standards-Version: 3.1.1

Package: suidmanager
Architecture: all
Depends: dpkg (>= 1.8.1)
Description: Manage File Permissions
 This package previously managed permissions of files. However, the
 dpkg-statoverride command is the new way to do that.
 .
 This package now exists only as a transition package. When it is
 installed, it will import the old suidmanager database into
 dpkg-statoverride's database. After that, it may be freely removed.

=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,11 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE)
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
-	-$(MAKE) clean
 	rm -f build-stamp
 	dh_clean
 
@@ -29,13 +27,12 @@
 binary-indep: build
 	dh_testdir
 	dh_testroot
-	dh_installdirs usr/sbin
-	install -m755 suidregister debian/tmp/usr/sbin/
-	dh_installdocs suidmanager.concept
-	dh_installcron
+	dh_installdirs usr/sbin usr/share/suidmanager
+	install -m755 suidregister suidunregister debian/tmp/usr/sbin/
+	install -m755 suid2stat debian/tmp/usr/share/suidmanager/
+	dh_installdocs
 	dh_installmanpages
 	dh_installchangelogs
-	dh_link usr/sbin/suidregister usr/sbin/suidunregister
 	dh_compress
 	dh_fixperms
 	dh_installdeb
